var frameLoaded = false;
var stages = [];

function setTitle(title) {
	$('comicTitle').innerHTML = title;
}
function setName(name) {
	$('comicDirectorName').innerHTML = name;
}
function addNewStage(param) {
	var stage = new ComicMaker_ComicStageArea(param.stageId, 'comicPrintArea', param.stageNumber);
	stage.stagePosition = param.stagePosition;
	stage.savedObjects = param.elements;
	stages.push(stage);
}
function showPrintStages() {
	stages.sortBy(function(s) { return s.getPosition(); });
	stages.each(function(stage) {
		stage.showPrintableStage('comicPrintArea');
	});
	showPrintStageContent();
}

var stagesContentLoaded = [];
function showPrintStageContent() {
	var total = stages.length - stagesContentLoaded.length;
	var loaded = 0;
	stages.each(function(stage) {
		if (stage && stage.stageLoaded && stage.stageFramesLoaded() && (stagesContentLoaded.indexOf(stage.stageId) < 0) ) {
			stage.restorePrintContent();
			loaded++;
		}
	});
	if (loaded < total) {
		window.setTimeout('showPrintStageContent()', 10);
	} else {
		window.setTimeout('window.print()', 1000);
	}
}

function loaded() {
	if ((typeof(ComicMaker_StageImage) != 'undefined') && (typeof(Draggable) != 'undefined')) {
		frameLoaded = true;
	} else {
		window.setTimeout("loaded()", 10);
	}
}
window.setTimeout("loaded()", 10);